declare type RC = {
    [key: string]: any;
};
interface RCOptions {
    name?: string;
    dir?: string;
    unflatten?: boolean;
}
export declare const defaults: RCOptions;
/**
 * Parse rc contents
 */
export declare function parse(contents: string, unflatten?: boolean): RC;
/**
 * Parse rc file
 */
export declare function parseFile(path: string, unflatten?: boolean): RC;
/**
 * Read rc file
 * @param name Name of rc file (default: '.conf')
 * @param dir Working directory (default: process.cwd())
 */
export declare function read(options?: RCOptions | string): RC;
/**
 * Read rc from user directory
 * @param name Name of rc file (default: '.conf')
 */
export declare function readUser(options?: RCOptions | string): RC;
/**
 * Serialize rc config
 * @param config Unflatten config
 */
export declare function serialize(config: RC, unflatten?: boolean): string;
/**
 * Write rc config
 * @param config Unflatten config
 * @param name Name of rc file (default: '.conf')
 * @param dir Working directory (default: process.cwd())
 */
export declare function write(config: RC, options?: RCOptions | string): void;
/**
 * Write rc from to user directory
 * @param name Name of rc file (default: '.conf')
 */
export declare function writeUser(config: RC, options?: RCOptions | string): void;
export {};
